<template>
	<div>
		<LayoutHeader
			title="Inscription"
			desc="Retrouver vos informations et votre temps d'utilisation d'écran à travers vos différents appareils connectés."
			backlink="Retour"
		/>
		<div class="flex gap-1 column mt-3 pb-2">
			<InputField v-model="email" class="mb-1" name="Email" />
			<InputField v-model="password" class="mb-1" name="Mot de passe" type="password" />
			<InputField v-model="repeatPassword" name="confirmer votre mot de passe" type="password" />
		</div>
		<ButtonArea>
			<button @click="signup()">
				<span v-if="state === 'INACTIVE'">S'inscrire</span>
				<span v-if="state === 'LOADING'">Loading...</span>
			</button>
		</ButtonArea>
	</div>
</template>

<script>
import ButtonArea from '@/components/ButtonArea';
import LayoutHeader from '@/components/LayoutHeader';
import InputField from '@/components/InputField';
import firebase from 'firebase';
import { MessageBox } from '@/common/components.ui.js';

const mb = MessageBox({
	title: 'Erreur d\'inscription',
	showConfirmButton: true,
});

export default {
	name: 'Signup',
	components: { ButtonArea, LayoutHeader, InputField },
	data: () => ({
		email: '',
		password: '',
		repeatPassword: '',
		state: 'INACTIVE'
	}),
	methods: {
		signup() {
			if (this.password !== this.repeatPassword) {
				return mb({
					message: 'les mots de passe ne correspondent pas.'
				});
			}
			this.state = 'LOADING';
			firebase.auth()
				.createUserWithEmailAndPassword(this.email, this.password)
				.then((res) => {
					console.log(res);
					this.$router.push('/parental');
				})
				.catch((error) => {
					const { message } = error;
					this.state = 'INACTIVE';

					return mb({ message });
				});
		}
	}
};
</script>

<style lang="scss" scoped>
</style>
